Message::Passing::Filter::Delay(3pm)

NAME
Message::Passing::Filter::Delay - Delay messages for some time.

DESCRIPTION
This filter passes all incoming messages through with no changes, however not immediately - they are delayed .

You would normally never want to use this, but it can be useful for testing occasionally, or avoiding race conditions.

ATTRIBUTES

  delay_for
Floating point number, indicating how many seconds to delay messages for.

METHODS

  consume ($msg)
Sets up a timed callback in the event loop, which passes the message to the output (and deletes itself) once the timeout has expired

SPONSORSHIP
This module exists due to the wonderful people at Suretec Systems Ltd. <http://www.suretecsystems.com/> who sponsored its development for its VoIP division called SureVoIP <http://www.surevoip.co.uk/> for use with the SureVoIP API - <http://www.surevoip.co.uk/support/wiki/api_documentation>

AUTHOR, COPYRIGHT AND LICENSE
See Message::Passing.